Index: kernel/content/function_definition.php
===================================================================
--- kernel/content/function_definition.php	(revision 20539)
+++ kernel/content/function_definition.php	(working copy)
@@ -903,9 +865,8 @@
 
 $FunctionList['object_count_by_user_id'] = array( 'name' => 'object_count_by_user_id',
                                                   'operation_types' => array( 'read' ),
-                                                  'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                      'class' => 'eZContentFunctionCollection',
-                                                                      'method' => 'fetchObjectCountByUserID' ),
+                                                  'call_method' => array( 'class' => 'eZContentFunctionCollection',
+                                                                          'method' => 'fetchObjectCountByUserID' ),
                                               'parameter_type' => 'standard',
                                               'parameters' => array( array( 'name' => 'class_id',
                                                                             'type' => 'integer',
@@ -918,8 +879,7 @@
 
 $FunctionList['same_classattribute_node'] = array( 'name' => 'same_classattribute_node',
                                      'operation_types' => array( 'read' ),
-                                     'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                             'class' => 'eZContentFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                              'method' => 'fetchSameClassAttributeNodeList' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array( array( 'name' => 'classattribute_id',
@@ -934,8 +894,7 @@
 
 $FunctionList['keyword'] = array( 'name' => 'keyword',
                                   'operation_types' => array( 'read' ),
-                                  'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                          'class' => 'eZContentFunctionCollection',
+                                  'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                           'method' => 'fetchKeyword' ),
                                   'parameter_type' => 'standard',
                                   'parameters' => array( array( 'name' => 'alphabet',
@@ -968,8 +927,7 @@
 
 $FunctionList['keyword_count'] = array( 'name' => 'keyword_count',
                                         'operation_types' => array( 'read' ),
-                                        'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                'class' => 'eZContentFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                 'method' => 'fetchKeywordCount' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array( array( 'name' => 'alphabet',
@@ -990,8 +948,7 @@
 
 $FunctionList['access'] = array( 'name' => 'access',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'checkAccess' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'access',
@@ -1016,8 +973,7 @@
 // Fetches all navigation parts as an array
 $FunctionList['navigation_parts'] = array( 'name' => 'navigation_parts',
                                            'operation_types' => array( 'read' ),
-                                           'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                   'class' => 'eZContentFunctionCollection',
+                                           'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                    'method' => 'fetchNavigationParts' ),
                                            'parameter_type' => 'standard',
                                            'parameters' => array() );
@@ -1025,8 +981,7 @@
 // Fetches one navigation part by identifier
 $FunctionList['navigation_part'] = array( 'name' => 'navigation_part',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                  'class' => 'eZContentFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                   'method' => 'fetchNavigationPart' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array( array( 'name' => 'identifier',
@@ -1036,8 +991,7 @@
 // Fetches related objects array
 $FunctionList['related_objects'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchRelatedObjects' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -1062,8 +1016,7 @@
 
 $FunctionList['related_objects_count'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchRelatedObjectsCount' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -1080,8 +1033,7 @@
 // Fetches reverse related objects array
 $FunctionList['reverse_related_objects'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchReverseRelatedObjects' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -1109,8 +1061,7 @@
 
 $FunctionList['reverse_related_objects_count'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchReverseRelatedObjectsCount' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -1130,16 +1081,14 @@
 
 $FunctionList['available_sort_fields'] = array( 'name' => 'available_sort_fields',
                                                 'operation_types' => array( 'read' ),
-                                                'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                        'class' => 'eZContentFunctionCollection',
+                                                'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                         'method' => 'fetchAvailableSortFieldList' ),
                                                 'parameter_type' => 'standard',
                                                 'parameters' => array() );
 
 $FunctionList['country_list'] = array( 'name' => 'country',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                               'class' => 'eZContentFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                'method' => 'fetchCountryList' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( array( 'name' => 'filter',
@@ -1151,8 +1100,7 @@
 
 $FunctionList['related_objects_ids'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchRelatedObjectsID' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -1169,8 +1117,7 @@
 
 $FunctionList['reverse_related_objects_ids'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchReverseRelatedObjectsID' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -1187,8 +1134,7 @@
 
 $FunctionList['content_tree_menu_expiry'] = array( 'name' => 'content_tree_menu_expiry',
                                                    'operation_types' => array( 'read' ),
-                                                   'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                           'class' => 'eZContentFunctionCollection',
+                                                   'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                            'method' => 'fetchContentTreeMenuExpiry' ),
                                                    'parameter_type' => 'standard',
                                                    'parameters' => array() );
Index: kernel/workflow/function_definition.php
===================================================================
--- kernel/workflow/function_definition.php	(revision 20539)
+++ kernel/workflow/function_definition.php	(working copy)
@@ -33,16 +33,14 @@
 
 $FunctionList['workflow_statuses'] = array( 'name' => 'workflow_statuses',
                                             'operation_types' => array( 'read' ),
-                                            'call_method' => array( 'include_file' => 'kernel/workflow/ezworkflowfunctioncollection.php',
-                                                                    'class' => 'eZWorkflowFunctionCollection',
+                                            'call_method' => array( 'class' => 'eZWorkflowFunctionCollection',
                                                                     'method' => 'fetchWorkflowStatuses' ),
                                             'parameter_type' => 'standard',
                                             'parameters' => array( ) );
 
 $FunctionList['workflow_type_statuses'] = array( 'name' => 'workflow_type_statuses',
                                                  'operation_types' => array( 'read' ),
-                                                 'call_method' => array( 'include_file' => 'kernel/workflow/ezworkflowfunctioncollection.php',
-                                                                         'class' => 'eZWorkflowFunctionCollection',
+                                                 'call_method' => array( 'class' => 'eZWorkflowFunctionCollection',
                                                                          'method' => 'fetchWorkflowTypeStatuses' ),
                                                  'parameter_type' => 'standard',
                                                  'parameters' => array( ) );
Index: kernel/user/function_definition.php
===================================================================
--- kernel/user/function_definition.php	(revision 20539)
+++ kernel/user/function_definition.php	(working copy)
@@ -32,16 +32,14 @@
 $FunctionList = array();
 $FunctionList['current_user'] = array( 'name' => 'current_user',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                               'class' => 'eZUserFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                'method' => 'fetchCurrentUser' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array() );
 
 $FunctionList['is_logged_in'] = array( 'name' => 'is_logged_in',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                               'class' => 'eZUserFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                'method' => 'fetchIsLoggedIn' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( array( 'name' => 'user_id',
@@ -50,24 +48,21 @@
 
 $FunctionList['logged_in_count'] = array( 'name' => 'logged_in_count',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                                  'class' => 'eZUserFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                   'method' => 'fetchLoggedInCount' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array() );
 
 $FunctionList['anonymous_count'] = array( 'name' => 'anonymous_count',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                                  'class' => 'eZUserFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                   'method' => 'fetchAnonymousCount' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array() );
 
 $FunctionList['logged_in_list'] = array( 'name' => 'logged_in_list',
                                          'operation_types' => array( 'read' ),
-                                         'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                                 'class' => 'eZUserFunctionCollection',
+                                         'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                  'method' => 'fetchLoggedInList' ),
                                          'parameter_type' => 'standard',
                                          'parameters' => array( array( 'name' => 'sort_by',
@@ -82,8 +77,7 @@
 
 $FunctionList['logged_in_users'] = array( 'name' => 'logged_in_users',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                                  'class' => 'eZUserFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                   'method' => 'fetchLoggedInUsers' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array( array( 'name' => 'sort_by',
@@ -97,8 +91,7 @@
                                                                         'required' => false ) ) );
 $FunctionList['user_role'] = array( 'name' => 'user_role',
                                     'operation_types' => array( 'read' ),
-                                    'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                            'class' => 'eZUserFunctionCollection',
+                                    'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                             'method' => 'fetchUserRole' ),
                                     'parameter_type' => 'standard',
                                     'parameters' => array( array( 'name' => 'user_id',
@@ -108,8 +101,7 @@
 
 $FunctionList['member_of'] = array( 'name' => 'member_of',
                                     'operation_types' => array( 'read' ),
-                                    'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                            'class' => 'eZUserFunctionCollection',
+                                    'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                             'method' => 'fetchMemberOf' ),
                                     'parameter_type' => 'standard',
                                     'parameters' => array( array( 'name' => 'id',
@@ -118,8 +110,7 @@
 
 $FunctionList['has_access_to'] = array( 'name' => 'has_access_to',
                                         'operation_types' => array(),
-                                        'call_method' => array( 'include_file' => 'kernel/user/ezuserfunctioncollection.php',
-                                                                'class' => 'eZUserFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZUserFunctionCollection',
                                                                 'method' => 'hasAccessTo' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array( array( 'name' => 'module',
